Page MenuHomePhabricator

NewsletterHooks: Return type for onUndeleteForm and wrong concatenation of strings for onTitleMove to be changed
Closed, ResolvedPublic

Description

This task requires you to install Newsletter extension.

The task involves-

  1. Currently, onUndeleteForm returns Status message. Instead, the returning data type should be bool.
  2. Currently, in onTitleMove '+' is used for concatenation of strings. Instead ' . ' must be used.

Event Timeline

Devirk created this task.Dec 26 2016, 11:15 AM
Devirk renamed this task from NewsletterHooks: Return type for onUndeleteForm to be changed to NewsletterHooks: Return type for onUndeleteForm and wrong concatenation of strings for onTitleMove to be changed.Dec 26 2016, 11:50 AM
Devirk updated the task description. (Show Details)

Change 329260 had a related patch set uploaded (by Filip):
Newsletter.hook.php cleanup

https://gerrit.wikimedia.org/r/329260

Filip added a subscriber: Filip.Dec 27 2016, 2:16 PM

I'm uploading screenshot

Change 329260 merged by jenkins-bot:
Newsletter.hook.php cleanup

https://gerrit.wikimedia.org/r/329260

01tonythomas closed this task as Resolved.Dec 27 2016, 2:21 PM
01tonythomas assigned this task to Filip.
01tonythomas added a subscriber: 01tonythomas.

Done. Thank You!

Qgil awarded a token.Jan 3 2017, 8:29 PM